#!/bin/sh
# by Silvan Calarco <silvan.calarco@mambasoft.it>

VIM_VERSION=$1

if [ -z "$VIM_VERSION" ]; then
    echo "Usage: $0 <version>"
    exit 2
fi

rm -rf vim-$VIM_VERSION
mkdir vim-$VIM_VERSION
cd vim-$VIM_VERSION
MAJVER=`echo $VIM_VERSION | cut -d. -f1-2`
wget ftp://ftp.vim.org/pub/vim/patches/$MAJVER/$MAJVER.*
tar -cz $MAJVER.* > ../vim-$VIM_VERSION-patchset.tar.gz
rm -rf vim-$VIM_VERSION
